Summary: Versatile vmstat, iostat and ifstat replacement
Name: dstat
Version: 0.6.4
Release: %mkrel 1
License: GPL
Group: System/Kernel and hardware
URL: http://dag.wieers.com/home-made/dstat/
Source: http://dag.wieers.com/home-made/dstat/dstat-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
Dstat is a versatile replacement for vmstat, iostat and ifstat. Dstat
overcomes some of the limitations and adds some extra features.

Dstat allows you to view all of your system resources instantly,
you can eg. compare disk usage in combination with interrupts from
your IDE controller, or compare the network bandwidth numbers
directly with the disk throughput (in the same interval).

Dstat also cleverly gives you the most detailed information in
columns and clearly indicates in what magnitude and unit the output
is displayed. Less confusion, less mistakes.

Dstat is also unique in letting you aggregate block device throughput
for a certain diskset or network bandwidth for a group of interfaces,
ie. you can see the throughput for all the block devices that make up
a single filesystem or storage system.

You can customize your dstat output from /etc/dstat.conf and you can
write your own dstat modules to plug into the dstat output.

Dstat's output, in its current form, is not very useful to be post-
processed by other tools. It's mostly meant for allowing humans to
interprete real-time data as easy as possible.

%prep
%setup -q

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING README TODO 
%{_bindir}/dstat
%_datadir/%name
%doc %{_mandir}/man1/dstat.1*



%changelog
* Thu Dec 14 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.4-1mdv2007.0
+ Revision: 96670
- 0.6.4
- Import dstat


* Fri Jul 27 2006 Erwan Velu <erwan@mandriva.com> 0.6.3-1mdk
- 0.6.3

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 0.6.2-1mdk
- 0.6.2

* Mon Sep 05 2005 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdk
- 0.6.1

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.6.0-1mdk
- 0.6.0

* Mon Apr 25 2005 Olivier Thauvin <nanardon@mandriva.org> 0.5.10-1mdk
- 0.5.10

* Tue Dec 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.5-1mdk
- 0.5.5

* Sun Nov 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.3-1mdk
- mdk spec
 
* Sun Nov 21 2004 Dag Wieers <dag@wieers.com> - 0.5.3-1
- Updated to release 0.5.3.

* Sat Nov 13 2004 Dag Wieers <dag@wieers.com> - 0.5.2-1
- Updated to release 0.5.2.

* Thu Nov 11 2004 Dag Wieers <dag@wieers.com> - 0.5.1-1
- Updated to release 0.5.1.

* Tue Oct 26 2004 Dag Wieers <dag@wieers.com> - 0.4-1
- Initial package. (using DAR)
